Mnemonic (JavaFX 17)

Module javafx.graphics
Package javafx.scene.input

## Class Mnemonic

- java.lang.Object
- - javafx.scene.input.Mnemonic

-     public class Mnemonic
      extends Object

  This class is used when creating a Mnemonic. The Mnemonic is constructed with a `Node` and a `KeyCombination`. When a Mnemonic is registered on a `Scene`, and the KeyCombination reaches the Scene unconsumed, then the target Node will be sent an `ActionEvent`.

  Controls should use their MnemonicParsing property when adding Mnemonics.

  Mnemonics will not be displayed on all platforms, but the api will still be present.

  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Mnemonic​(Node node, KeyCombination keyCombination)` | Constructs a `Mnemonic` with the specified target `Node` and trigger `KeyCombination`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `fire()` | Fire the `ActionEvent`
    `KeyCombination` | `getKeyCombination()` | Returns the `KeyCombination`
    `Node` | `getNode()` | Returns the `Node`
    `void` | `setKeyCombination​(KeyCombination keyCombination)` | Sets the `KeyCombination`
    `void` | `setNode​(Node node)` | Sets the `Node`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mnemonic

          public Mnemonic​(Node node,
                          KeyCombination keyCombination)

      Constructs a `Mnemonic` with the specified target `Node` and trigger `KeyCombination`.
      Parameters:
        `node` - the `Node` that will receive the `ActionEvent`.
        `keyCombination` - the `KeyCombination` that will trigger the Mnemonic.

  - ### Method Detail

    - #### getKeyCombination

          public KeyCombination getKeyCombination()

      Returns the `KeyCombination`
      Returns:
        the `KeyCombination`

    - #### setKeyCombination

          public void setKeyCombination​(KeyCombination keyCombination)

      Sets the `KeyCombination`
      Parameters:
        `keyCombination` - the `KeyCombination`

    - #### getNode

          public Node getNode()

      Returns the `Node`
      Returns:
        the `Node`

    - #### setNode

          public void setNode​(Node node)

      Sets the `Node`
      Parameters:
        `node` - the `Node`
      Since:
        JavaFX 2.2

    - #### fire

          public void fire()

      Fire the `ActionEvent`